Subject: Re: Git documentation at kernel.org

From: Ted Ts'o <[email-masked]>
Date: Fri, 10 Feb 2012 14:57:36 -0500

How about this as something *way* simpler?  Define a way of marking
the top of a particular directory hierarchy as a tree.  Then the
*only* way of updating that tree is all or nothing.  That is, someone
submits a signed tarball; then after the signed tarball has its
signature checked, it gets unpacked into a dir.new, and then we rename
dir to dir.old, rename dir.new to dir, and then dir.old gets removed.

That way there's no conflicts between directories that are managed via
the kup-servers PUT and DELETE commands, and those where they get
uploaded as a single tarball to create or replace a specific directory
hierarcy, or which can be deleted only as a entire directory hierarcy.

What do you think?

						- Ted